> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /publisher/:uid

> Sets the publisher level configuration for the given publisher



## OpenAPI

````yaml /openapi.json put /v1/publisher/{uid}
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/publisher/{uid}:
    put:
      tags:
        - Publisher
        - public
      summary: /publisher/:uid
      description: Sets the publisher level configuration for the given publisher
      parameters:
        - name: uid
          in: path
          description: Publisher ID
          required: true
          example: 0
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                uid:
                  type: integer
                organisation:
                  type: integer
                domain:
                  type: string
                display_name:
                  type: string
                label:
                  type: string
                tier:
                  type: integer
                config:
                  type: object
                  properties:
                    rss_feed:
                      type: string
                    dev_cipt:
                      type: boolean
                    dpcd:
                      type: boolean
                date_added:
                  type: string
                status:
                  type: integer
                tag_version:
                  type: string
                target_branch:
                  type: string
                iabCategories:
                  type: string
                o&o:
                  type: integer
                beta:
                  type: boolean
                deploy_freeze:
                  type: object
                  properties: {}
                approval_status:
                  type: integer
                third_party_adstxt:
                  type: string
                mapping:
                  type: object
                  properties:
                    '706':
                      type: string
                    '768':
                      type: string
            examples: {}
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      uid:
                        type: integer
                      organisation:
                        type: integer
                      domain:
                        type: string
                      display_name:
                        type: string
                      label:
                        type: string
                        nullable: true
                      tier:
                        type: integer
                        nullable: true
                      config:
                        type: object
                        properties: {}
                      date_added:
                        type: string
                      status:
                        type: integer
                      status_app:
                        type: integer
                      tag_version:
                        type: string
                      target_branch:
                        type: string
                      iabCategories:
                        type: string
                      approved:
                        type: integer
                      logo:
                        type: string
                        nullable: true
                      logo_dark:
                        type: string
                        nullable: true
                      o&o:
                        type: integer
                      custom_kv:
                        type: string
                        nullable: true
                      beta:
                        type: boolean
                    required:
                      - uid
                      - organisation
                      - domain
                      - display_name
                      - label
                      - tier
                      - config
                      - date_added
                      - status
                      - status_app
                      - tag_version
                      - target_branch
                      - iabCategories
                      - approved
                      - logo
                      - logo_dark
                      - o&o
                      - custom_kv
                      - beta
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  uid: 18425
                  organisation: 1
                  domain: cipt.demo.contentignite.com
                  display_name: ''
                  label: Beta
                  tier: 3
                  config:
                    rss_feed: ''
                    dev_cipt: true
                  date_added: '2023-10-30 09:32:14'
                  status: 1
                  status_app: 0
                  tag_version: beta.5d7fe37b
                  target_branch: beta
                  iabCategories: IAB24
                  approved: 1
                  logo: null
                  logo_dark: null
                  o&o: 0
                  custom_kv: null
                  beta: true
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````